%define name    php-fileinfo
%define version 5.0.4
%define rversion 0.2

%define modname fileinfo
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 32_%{modname}.ini

Summary:	Fileinfo extension module for PHP
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
URL:		http://pecl.php.net/package/Fileinfo
License:	PHP License
Source0:	Fileinfo-0.2.tar.bz2
Source1:	%{modname}.ini.bz2
Patch0:		Fileinfo-0.2-lib64.diff.bz2
Requires:	file
BuildRequires:	php-devel >= 5.0.4
BuildRequires:  file-devel
Provides:	php-mime_magic
Obsoletes:	php-mime_magic
Provides:	php5-fileinfo
Obsoletes:	php5-fileinfo
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This extension allows retrieval of information regarding vast majority of
file. This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a
particular file and for text files proper language encoding.

%prep

%setup -q -n Fileinfo-%{rversion}
[ "../package.xml" != "/" ] && mv ../package.xml .

%patch0 -p0

%build

phpize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

# fix PHP_DEFAULT_MAGIC_FILE
echo "#define PHP_DEFAULT_MAGIC_FILE \"%{_datadir}/misc/magic.mime\"" >> config.h

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

bzcat %{SOURCE1} > %{inifile}
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS EXPERIMENTAL fileinfo.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.2-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.2-1mdk
- 5.0.4

* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-5mdk
- lib64 fixes

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-2mdk
- rebuild due to hardened-php-0.2.6
- fix url

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-1mdk
- rebuilt for php-5.0.3

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.2-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_0.2-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0-1mdk
- initial mandrake package
